# The following tag is to get correct syntax highlighting for this file in vim text editor
# vim: syntax=spec

Name:       system76-firmware
Version:    0.15
Release:    1%{?dist}
Summary:    system76-firmware
License:    GPLv3
URL:        https://github.com/szydell/system76-firmware

# Detailed information about the source Git repository and the source commit
# for the created rpm package
VCS:        git+https://github.com/szydell/system76-firmware/#50c528bb5b9973818d3ec436c33b6efd71217e26:

# git_dir_pack macro places the repository content (the source files) into a tarball
# and returns its filename. The tarball will be used to build the rpm.
Source:     system76-firmware-0.15.tar.gz

#Packages required for build
BuildRequires: cargo
%{?systemd_requires}
BuildRequires: systemd
BuildRequires: dbus-devel
BuildRequires: xz-devel
BuildRequires: libsodium-devel 
BuildRequires: openssl-devel

#Packages required to work
Requires: dbus-common 
Requires: systemd
#system76-driver provides python library needed by the system76-firmware application
Requires: system76-driver



# More detailed description of the package
%description
System76 firmware updater daemon and cli

%define debug_package %{nil}

#--
%prep
%setup -q -n system76-firmware-0.15

# This will invoke `make` command in the directory with the extracted sources.
%build
make all

# This will copy the files generated by the `make` command above into
# the installable rpm package.
%install

make install DESTDIR=%{buildroot}

# do after installation
%post
%systemd_post system76-firmware-daemon.service
systemctl daemon-reload >/dev/null 2>&1 || :

# do before uninstallation
%preun
%systemd_preun system76-firmware-daemon.service

# do after unistallation
%postun
systemctl daemon-reload >/dev/null 2>&1 || :
%systemd_postun_with_restart system76-firmware-daemon.service



# Those files will be in the rpm
%files
%{_bindir}/system76-firmware-cli
%{_sbindir}/system76-firmware-daemon
%{_sysconfdir}/dbus-1/system.d/system76-firmware-daemon.conf
%{_sysconfdir}/systemd/system/system76-firmware-daemon.service


# Changelog
%changelog
* Mon Aug 24 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.15-1
- Merge pull request #16 from pop-os/master
- 1.0.14 - Add bonw14

* Tue Jun 30 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.14-1
- Merge pull request #15 from pop-os/master
- 1.0.13 - Add oryp6

* Mon Jun 15 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.13-1
- Merge pull request #14 from pop-os/master
- Find EFI mount point in /boot and /boot/efi (#29)
- Add thelio-b2
- 1.0.11 - add addw2 and gaze15
- Merge pull request #13 from pop-os/master
- Add thelio-r2
- 1.0.10 - add serw12

* Thu Apr 09 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.12-1
- Merge pull request #12 from pop-os/master
- 1.0.9 - Add support for system76-ec
- 1.0.8 - meer5 support

* Sat Feb 22 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.11-1
- Merge pull request #11 from pop-os/master
- Add Thelio Megas

* Fri Dec 27 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.10-1
- Merge pull request #10 from pop-os/master
- Update buildchain to 0.4.11
- 1.0.7
- Add thelio-major-r2

* Thu Nov 14 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.9-1
- daemon-reload

* Thu Nov 14 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.8-1
- Merge pull request #9 from pop-os/master
- 1.0.6
- Switch branch back to master
- Attempt to fix sbuild
- Add darp6 and galp4
- Change branch to coreboot
- Allow updates for coreboot firmware

* Fri Sep 20 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.7-1
- Merge pull request #8 from pop-os/master
- Add ability in library to use custom EFI directory
- Support in library for donloading and installing arbitrary firmware IDs
- Trim BIOS vendor
- Do not build daemon with --frozen when not using vendoring
- Attempt to fix build on eoan
- Fix compilation
- Update dependencies
- Disable firmware updates on coreboot firmware since they will overwrite with
the proprietary firmware
- Merge pull request #7 from pop-os/master
- feat(daemon): Add a model whitelist
- chore(deps): Update dependencies
- fix(client): Allow the Version ME and description fields to be null
- feat(client): Move daemon to workspace member, & create client crate

* Tue Aug 06 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.6-1
- Additional dependency: system76-driver
- Allow the wheel group member, to update firmware

* Mon Jul 08 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.5-1
- Merge pull request #4 from pop-os/master
- Add thelio-io subcommand to CLI
- Thelio Io firmware support
- 1.0.5 - update version and dependencies

* Thu Apr 25 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.4-1
- Merge pull request #3 from pop-os/master
- Revert ecflash to stable branch version
- Move vendoring into debian/rules
- 1.0.4 - update public key

* Mon Mar 18 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.3-1
- Merge pull request #2 from pop-os/master
- 1.0.3 - update buildchain to fix signature validation

* Tue Mar 12 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.2-1
- from pop main
- ca-certs
- Update dependencies
- Require ca-certificates to build

* Thu Jan 17 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.1-1
First release of fedora package
- fork info
- missing BuildRequires
- fedora packaging init
- fedora packaging init
- fix openssl 1.1.1 compile error
- SSL Fix
- Rename cli binary to have -cli suffix
- install/uninstall the systemd unit with the daemon
- Update error message to reflect action taken
- Create ISSUE_TEMPLATE.md
- 1.0.2 release
- Merge branch 'master' of github.com:pop-os/system76-firmware
- 1.0.1 - update lock file
- Update Cargo.lock
- Create LICENSE
- 1.0.0
- Update README.md
- Update README.md
- Break into two packages, add simple cli
- Move service into debian packaging
- Add dbus-1
- Add liblzma-dev
- Add pkg-config
- Vendor ecflash
- Update lock file
- Fix ME version reading
- Fix dbus api name
- Update DBUS API
- Update readme and dbus API
- Remove warnings
- Remove debug print
- Add download cache
- Update buildchain version
- Update depencencies
- Switch to rust-lzma which works better with cargo vendor
- Update README, add debian packaging
- Add makefile and systemd service
- Also allow members of the sudo group
- Add rebuild script
- WIP: DBUS API
- Add code to set EFI boot
- init


